﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace _121031
{
    class MyDrow:IUIElementDrawFilter 
    {

        public UltraGridRow row;
        public Color borderColor;
        #region IUIElementDrawFilter Members

        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            Point sPoint = drawParams.Element.Rect.Location;

            sPoint.Offset(0, drawParams.Element.Rect.Height - 1);
            
            Point ePoint = sPoint;
            ePoint.Offset (drawParams.Element.Rect.Width, 0);
            foreach (UIElement el in drawParams.Element.ChildElements)
                el.Rect = new Rectangle(el.Rect.Location, new Size(el.Rect.Width, drawParams.Element.Rect.Height - 2));
            
            drawParams.Graphics.DrawLine(new Pen(new SolidBrush(borderColor), 3), sPoint, ePoint);
            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is RowUIElement && ((RowUIElement)drawParams.Element).Row.Equals(row))
                return DrawPhase.AfterDrawElement;
            return DrawPhase.None;
        }

        #endregion
    }
}
